
NMB-Minebea Thai Ltd. - Parent project #967

[PJ230010] Handy terminal modification

11 Apr 2025 14:42 - Karnthida Wannasiwaporn

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Karnthida Wannasiwaporn Spent time: 0.00 hour

Description

History

#1 - 11 Apr 2025 14:42 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 05 Nov 2025 16:23 - Siriwilai Chaiwattanaphon

- Status changed from New to Closed

#3 - 05 Nov 2025 16:23 - Siriwilai Chaiwattanaphon

- Start date deleted (11 Apr 2025)
